> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Plivo Configuration for Account

> Creates an initial Plivo configuration for the active account



## OpenAPI

````yaml post /api/telephony_configs/plivo
openapi: 3.0.3
info:
  title: Ultravox
  version: 0.1.0
  description: API for the Ultravox service.
servers:
  - url: https://api.ultravox.ai
security: []
paths:
  /api/telephony_configs/plivo:
    post:
      tags:
        - telephony_configs
      operationId: telephony_configs_plivo_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlivoConfig'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlivoConfig'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    PlivoConfig:
      type: object
      properties:
        callCreationAllowedAgentIds:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            List of agents for whom calls may be directly created by this
            telephony provider to facilitate incoming calls. May not be set if
            callCreationAllowAllAgents is true.
          maxItems: 100
        callCreationAllowAllAgents:
          type: boolean
          default: false
          description: >-
            If true, calls may be directly created by this telephony provider
            for all agents. If false, only agents listed in
            callCreationAllowedAgentIds are allowed.
        requestContextMapping:
          type: object
          additionalProperties:
            type: string
          description: >-
            Maps (dot separated) request fields to (dot separated) context
            fields for incoming call creation.
        authId:
          type: string
          description: Your Plivo Auth ID.
        authToken:
          type: string
          writeOnly: true
          description: Your Plivo Auth Token.
        authTokenPrefix:
          allOf:
            - $ref: '#/components/schemas/KeyPrefix'
          readOnly: true
          description: The prefix of your Plivo Auth Token.
      required:
        - authId
        - authToken
        - authTokenPrefix
    KeyPrefix:
      type: object
      properties:
        prefix:
          type: string
          description: The prefix of the API key.
      required:
        - prefix
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key

````